Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Turbulence across thin objects
SDTGases.h: Air turbulence and explosions

## Typedefs
typedef struct SDTWindKarman | SDTWindKarman
| Opaque data structure for a thin obstacle object.

## Functions
SDTWindKarman * | SDTWindKarman_new ()
| Object constructor. More...
void | SDTWindKarman_free (SDTWindKarman *x)
| Object destructor. More...
void | SDTWindKarman_setDiameter (SDTWindKarman *x, double f)
| Sets the diameter of the object. More...
void | SDTWindKarman_setWindSpeed (SDTWindKarman *x, double f)
| Sets the wind speed. More...
double | SDTWindKarman_dsp (SDTWindKarman *x)
| Signal processing routine. Call this function at sample rate to synthesize wind blowing against a thin object. More...

## Detailed Description

An air flow hitting a thin object, such as a tree branch or a suspended wire, produces a singing or howling sound caused by a phenomenon known as Karman vortex street. This particular kind of turbulence is a repeating pattern of swirling vortices caused by the unsteady separation of flow of a fluid around the object. Karman vortex streets are modeled by white noise, passing through a bandpass filter with narrow bandwidth and high resonance.

## Function Documentation

double SDTWindKarman_dsp | ( | SDTWindKarman * | x | ) |

Signal processing routine. Call this function at sample rate to synthesize wind blowing against a thin object.

Returns
  Computed audio sample

void SDTWindKarman_free | ( | SDTWindKarman * | x | ) |

Object destructor.

Parameters

  [in] | x | Pointer to the instance to destroy

SDTWindKarman* SDTWindKarman_new | ( |  | ) |

Object constructor.

Returns
  Pointer to the new instance

void SDTWindKarman_setDiameter | ( | SDTWindKarman * | x,
|  | double | f
| ) |  |

Sets the diameter of the object.

Parameters

  [in] | f | Diameter of the object, in m. Works best with very small values (< 0.1)

void SDTWindKarman_setWindSpeed | ( | SDTWindKarman * | x,
|  | double | f
| ) |  |

Sets the wind speed.

Parameters

  [in] | f | Wind speed, [0,1]